%define major 3
%define major_xx 4
%define major_mp 3

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_gmpxx %mklibname %{name}xx %{major_xx}
%define develname_gmpxx %mklibname %{name}xx -d
%define	libname_mp %mklibname %{name}mp %{major_mp} 
%define	develname_mp %mklibname %{name}mp -d

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	4.3.1
Release:	%mkrel 1
License:	GPLv3 
Group:		System/Libraries
URL:		http://www.swox.com/gmp/
Source0:	ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.bz2.sig
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common
     inner loops
   - it generally emphasizes speed over simplicity/elegance in its
     operations

%package -n %{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common
    inner loops
  - it generally emphasizes speed over simplicity/elegance in its
    operations

%package -n %{develname}
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 3 -d} < 4.2.4

%description -n %{develname}
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%package -n %{libname_gmpxx}
Summary:	C++ support for GMP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libgmpxx = %{version}-%{release}
Obsoletes:	%mklibname %{name}xx 3

%description -n %{libname_gmpxx}
C++ support for GMP.

%package -n %{develname_gmpxx}
Summary:	C++ Development tools for the GMP
Group:		Development/C++
Requires:	%{develname} = %{version}-%{release}
Requires:	%{libname_gmpxx} = %{version}-%{release}
Provides:	lib%{name}xx-devel = %{version}-%{release}
Provides:	gmpxx-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name}xx 4 -d} < 4.2.4

%description -n %{develname_gmpxx}
C++ Development tools for the GMP.

%package -n %{libname_mp}
Summary:	Berkley MP compatibility library for GMP
Group:		System/Libraries
Provides:	libgmp_mp = %{version}-%{release}

%description -n %{libname_mp}
Berkley MP compatibility library for GMP.

%package -n %{develname_mp}
Summary:	Development tools for Berkley MP compatibility library for GMP
Group:		Development/C
Requires:	%{libname_mp} = %{version}-%{release}
Provides:	lib%{name}mp-devel = %{version}-%{release}
Provides:	mp-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name}mp 3 -d} < 4.2.4

%description -n %{develname_mp}
Development tools for Berkley MP compatibility library for GMP.

%prep
%setup -q

%build
%configure2_5x \
	 --enable-cxx \
	 --enable-mpbsd \
	 --enable-fft
%make

%check
# All tests must pass
make check

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname_gmpxx} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname_gmpxx} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname_mp} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname_mp} -p /sbin/ldconfig
%endif

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc NEWS README
%{_libdir}/libgmp.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc demos
%{_libdir}/libgmp.so
%{_libdir}/libgmp.a
%{_libdir}/libgmp.la 
%{_includedir}/gmp.h
%{_infodir}/gmp.info*

%files -n %{libname_gmpxx}
%defattr(-,root,root)
%{_libdir}/libgmpxx.so.%{major_xx}*

%files -n %{develname_gmpxx}
%defattr(-,root,root)
%{_libdir}/libgmpxx.so
%{_libdir}/libgmpxx.a
%{_libdir}/libgmpxx.la
%{_includedir}/gmpxx.h

%files -n %{libname_mp}
%defattr(-,root,root)
%{_libdir}/libmp.so.%{major_mp}*

%files -n %{develname_mp}
%defattr(-,root,root)
%{_includedir}/mp.h
%{_libdir}/libmp.a
%{_libdir}/libmp.so
%{_libdir}/libmp.la


%changelog
* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 4.3.1-1mdv2010.0
+ Revision: 375706
- update to new version 4.3.1

* Sat May 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.3.0-1mdv2010.0
+ Revision: 370725
- update to new version 4.3.0

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 4.2.4-3mdv2009.1
+ Revision: 318481
- rebuild

* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 4.2.4-2mdv2009.1
+ Revision: 302043
- fix devel package requires

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.4-1mdv2009.1
+ Revision: 289068
- new license policy
- new devel library policy
- add missing buildrequires
- update to new version 4.2.4

* Thu Aug 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.3-1mdv2009.0
+ Revision: 265366
- update to new version 4.2.3

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-2mdv2009.0
+ Revision: 221073
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.2-1mdv2008.1
+ Revision: 97233
- new release
- spec file clean


* Wed Mar 07 2007 David Walluck <walluck@mandriva.org> 4.2.1-1mdv2007.1
+ Revision: 134648
- 4.2.1

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-5mdv2007.1
+ Revision: 74681
- bunzip patches
- misc spec file fixes
- Import gmp

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 4.1.4-4mdk
- rebuild for sparc

* Tue Jan 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.1.4-3mdk
- fix sparc64 build (P8 from aurora)
- fix prereq-use
- add %%check stage where we move make check to

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.1.4-2mdk
- Rebuild

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.4-1mdk
- 4.1.4
- Patch 7 : Fix Build

* Tue Jun 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.3-2mdk
- remove build dependency on gmp-devel

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.3-1mdk
- 4.1.3
- regenerate P0
- drop P2-P6 (merged upstream)

